getftargs
Prev | Orchestra Opcodes and Operators | Next

## getftargs

getftargs — Fill a string variable with the arguments used to create a function table at k-rate.

## Description

Plugin opcode in getftargs.

getftargs writes the arguments used to create a function table to a string variable. getftargs runs both at initialization and performance time.

## Syntax

    Sdst getftargs iftno, ktrig

## Initialization

ifno -- Number of the table whose arguments we want to request.

## Performance

Sdst -- output string variable.

ktrig -- trigger signal, should be valid at i-time. The output string variable is filled at initialization time if ktrig is positive, and at performance time whenever ktrig is both positive and different from the previous value. Use a constant value of 1 to print once at note initialization.

## Examples

Here is an example of the getftargs opcode. It uses the file getftargs.csd.

Example 409. Example of the getftargs opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac      ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o getftargs.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1
    Sargs getftargs 1, 1
    puts Sargs, 1
    endin

    </CsInstruments>
    <CsScore>
    f 1 0 1024 "quadbezier" 0 0 0.5 200 0.8 450 0.33 600 0.1 800 0.4 1024 0
    i 1 0 1
    e
    </CsScore>
    </CsoundSynthesizer>

Its output should include this line:

     0 0 0.5 200 0.8 450 0.33 600 0.1 800 0.4 1024 0

## See also

ftgen, ftlen and sprintf

## Credits

Written by Guillermo Senna

2016

Prev | Up | Next
getcol | Home | getrow